import 'package:contentsquare/contentsquare.dart';
import 'package:contentsquare_example/src/repository/manual_start_repository.dart';
import 'package:contentsquare_example/src/scaffold.dart';
import 'package:contentsquare_example/src/widgets/contentsquare_screen_monitor.dart';
import 'package:flutter/material.dart';
import 'package:flutter_driver/driver_extension.dart';

import 'src/widgets/background_locator_initializer.dart';

void main() async {
  enableFlutterDriverExtension();

  if (!await ManualStartRepository().getIsManualStartEnabled()) {
    await Contentsquare().start();
  }

  runApp(MyApp());
}

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return BackgroundLocatorInitializer(
      child: ContentsquareRoot(
        child: MaterialApp(
          navigatorObservers: [routeObserver],
          theme: ThemeData(
            textTheme: TextTheme(
              subtitle2: TextStyle(
                fontStyle: FontStyle.italic,
                fontWeight: FontWeight.normal,
                fontSize: 15,
              ),
            ),
            outlinedButtonTheme: OutlinedButtonThemeData(
              style: OutlinedButton.styleFrom(
                side: BorderSide(color: Colors.black, width: 0.5),
                shape: RoundedRectangleBorder(
                  borderRadius: BorderRadius.circular(4),
                ),
                primary: Colors.black,
              ),
            ),
          ),
          home: MyScaffold(),
        ),
      ),
    );
  }
}
