import 'package:shared_preferences/shared_preferences.dart';

class ManualStartRepository {
  /// Changes the value of the `isManualStartEnabled` property in the repository
  /// to the given value.
  Future<void> setIsManualStartEnabled(bool value) async {
    final sharedPreferences = await SharedPreferences.getInstance();
    await sharedPreferences.setBool('isManualStartEnabled', value);
  }

  /// Returns the value of the `isManualStartEnabled` property in the repository.
  /// If the value is not set, returns `false`.
  Future<bool> getIsManualStartEnabled() async {
    final sharedPreferences = await SharedPreferences.getInstance();
    return sharedPreferences.getBool('isManualStartEnabled') ?? false;
  }
}
