import 'package:contentsquare_example/src/screens/home/home_screen.dart';
import 'package:contentsquare_example/src/widgets/contentsquare_screen_monitor.dart';
import 'package:flutter/material.dart';

import 'screens/api_tests/api_tests_screen.dart';
import 'screens/cases/cases_screen.dart';
import 'screens/info/info_screen.dart';

class MyScaffold extends StatefulWidget {
  const MyScaffold({Key? key}) : super(key: key);

  @override
  State<MyScaffold> createState() => _MyScaffoldState();
}

class _MyScaffoldState extends State<MyScaffold> {
  var index = 0;
  final _children = [
    HomeScreen(),
    APITestsScreen(),
    CasesScreen(),
    InfoScreen(),
  ];

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SafeArea(
        child: ContentsquareScreenMonitor(child: _children[index]),
      ),
      bottomNavigationBar: BottomNavigationBar(
        selectedItemColor: Colors.black,
        type: BottomNavigationBarType.fixed,
        onTap: (value) {
          setState(() => index = value);
          ContentsquareScreenMonitor.sendScreenView(
            context,
            screenName: '${_children[index].runtimeType}',
          );
        },
        currentIndex: index,
        items: [
          BottomNavigationBarItem(icon: Icon(Icons.home), label: 'Home'),
          BottomNavigationBarItem(icon: Icon(Icons.code), label: 'API tests'),
          BottomNavigationBarItem(icon: Icon(Icons.list), label: 'Cases'),
          BottomNavigationBarItem(icon: Icon(Icons.info), label: 'Info'),
        ],
      ),
    );
  }
}
