import 'package:flutter/material.dart';

import '../../utils/navigate_and_monitor.dart';
import 'widgets/dynamic_variable/dynamic_variable_screen.dart';
import 'widgets/manual_start/manual_start_screen.dart';
import 'widgets/privacy/privacy_screen.dart';
import 'widgets/transaction/transaction_screen.dart';
import 'widgets/web_view/web_view_screen.dart';

class APITestsScreen extends StatelessWidget {
  const APITestsScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.only(top: 30.0),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          Padding(
            padding: EdgeInsets.symmetric(horizontal: 16),
            child: Text(
              'Select an API functionnality',
              style: Theme.of(context).textTheme.headline6,
            ),
          ),
          SizedBox(height: 20),
          ListTile(
            title: Text('Privacy'),
            onTap: () => navigateAndMonitor(context, PrivacyScreen()),
          ),
          SizedBox(height: 10),
          ListTile(
            title: Text('Transaction'),
            onTap: () => navigateAndMonitor(context, TransactionScreen()),
          ),
          SizedBox(height: 10),
          ListTile(
            title: Text('Dynamic variable'),
            onTap: () => navigateAndMonitor(context, DynamicVariableScreen()),
          ),
          SizedBox(height: 10),
          ListTile(
            title: Text('Manual start'),
            onTap: () => navigateAndMonitor(context, ManualStartScreen()),
          ),
          SizedBox(height: 10),
          ListTile(
            title: Text('WebView'),
            onTap: () => navigateAndMonitor(context, WebViewScreen()),
          ),
          SizedBox(height: 10),
        ],
      ),
    );
  }
}
